%define major 20
%define libname %mklibname etpan %{major}
%define develname %mklibname etpan -d

Summary:	Mail purpose library
Name:		libetpan
Version:	1.7.2
Release:	%mkrel 2
Group:		System/Libraries
License:	BSD
URL:		http://www.etpan.org/libetpan.html
Source0:	https://github.com/dinhviethoa/libetpan/archive/%{version}/%{name}-%{version}.tar.gz
Patch0:		libetpan-0.58-drop-ldflags.patch
Patch1:		libetpan-1.6-link.patch
Patch0101:	0001-Fixed-memory-leak-fixed-251.patch
Patch0102:	0002-Fixed-crash-with-IDLE.patch
Patch0103:	0003-Fix-256-support-micro-version.patch
Patch0104:      libetpan-1.7.2-CVE-2017-8825.patch
BuildRequires:	gnutls-devel
BuildRequires:	db-devel
BuildRequires:	libcurl-devel
BuildRequires:	libexpat-devel

%description
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{libname}
Summary:	Mail purpose library
Group:		System/Libraries

%description -n %{libname}
The purpose of this mail library is to provide a portable, efficient
framework for different kinds of mail access. When using the drivers
interface, the interface is the same for all kinds of mail access,
remote and local mailboxes.

Network protocols supported:
o IMAP/NNTP/POP3/SMTP over TCP/IP and SSL/TCP/IP, already implemented.
o Local storage (mbox/MH/maildir), message / MIME parser

%package -n %{develname}
Summary:	Libraries and include files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel  = %{version}-%{release}
Obsoletes:	%{_lib}etpan11-devel < 0.54

%description -n %{develname}
This package contains the header files and static libraries for
developing with %{name}.

%prep
%setup -q
%autopatch -p1

mv README.md README

%build
autoreconf -vfi
%configure2_5x \
	--without-openssl \
	--with-gnutls \
	--enable-ipv6 \
	--enable-optim \
	--disable-static

%make

%check
make check

%install
%makeinstall_std

#workaround for *.h detections
rm -f include/libetpan/libetpan-conf
install -m 644 include/libetpan/*.h %{buildroot}%{_includedir}/libetpan

%multiarch_binaries %{buildroot}%{_bindir}/libetpan-config

# don't ship .la
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc COPYING COPYRIGHT
%{_libdir}/%{name}.so.%{major}
%{_libdir}/%{name}.so.%{major}.*

%files -n %{develname}
%doc ChangeLog NEWS
%doc doc/DOCUMENTATION
%{_bindir}/libetpan-config
%multiarch %{multiarch_bindir}/*
%{_includedir}/*
%{_libdir}/%{name}.so


%changelog
* Tue May 09 2017 neoclust <neoclust> 1.7.2-2.mga6
+ Revision: 1099779
- Add P0104 - Fixes CVE-2017-8825 (mga#20809)

* Fri Apr 21 2017 wally <wally> 1.7.2-1.mga6
+ Revision: 1096998
- new version 1.7.2 with interesting patches from upstream
- new lib major 20

* Sat Mar 19 2016 wally <wally> 1.6-3.mga6
+ Revision: 992991
- add patch from upstream to negotiate highest available SSL/TLS version when using STARTTLS

* Mon Jan 11 2016 luigiwalser <luigiwalser> 1.6-2.mga6
+ Revision: 921816
- rebuild for gnutls

* Wed Nov 12 2014 wally <wally> 1.6-1.mga5
+ Revision: 796569
- new version 1.6
- rediff linking patch

* Wed Oct 15 2014 umeabot <umeabot> 1.5-3.mga5
+ Revision: 747358
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5-2.mga5
+ Revision: 681444
- Mageia 5 Mass Rebuild

* Sat May 24 2014 wally <wally> 1.5-1.mga5
+ Revision: 625621
- new version 1.5
- new libmajor 17
- drop unneeded patches
- fix URL
- clean docs
- cleam .spec a bit

* Sat Oct 19 2013 umeabot <umeabot> 1.1-9.mga4
+ Revision: 533217
- Mageia 4 Mass Rebuild

* Tue Aug 27 2013 luigiwalser <luigiwalser> 1.1-8.mga4
+ Revision: 472076
- rebuild for cyrus-sasl

* Sat Jan 12 2013 umeabot <umeabot> 1.1-7.mga3
+ Revision: 357058
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 cjw <cjw> 1.1-6.mga3
+ Revision: 341555
- patch3: fix build with automake 1.13

* Tue Jul 31 2012 fwang <fwang> 1.1-5.mga3
+ Revision: 276308
- rebuild for db-5.3

* Fri Jul 20 2012 fwang <fwang> 1.1-4.mga3
+ Revision: 272791
- recognize db 5.2

* Fri Jul 20 2012 fwang <fwang> 1.1-3.mga3
+ Revision: 272787
- build with db 5.2

* Tue Jan 03 2012 fwang <fwang> 1.1-2.mga3
+ Revision: 189929
- fix obsoletes

* Tue Jan 03 2012 fwang <fwang> 1.1-1.mga2
+ Revision: 189872
- update libmajor
- fix linkage
- rebuild for new gnutls

  + tv <tv>
    - new release

* Fri Feb 25 2011 ahmad <ahmad> 1.0-2.mga1
+ Revision: 59220
- disable static build and don't ship .la
- drop old/unneeded scriptlets
- imported package libetpan


* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1.0-1mdv2011.0
+ Revision: 550142
- update to new version 1.0
- drop patch 1, fixed by upstream

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 0.58-4mdv2010.1
+ Revision: 498456
- really build against db 4.8

* Sat Jan 30 2010 Funda Wang <fwang@mandriva.org> 0.58-3mdv2010.1
+ Revision: 498446
- drop ldflags from libetpan-config

* Fri Jan 15 2010 Colin Leroy <colinl@mandriva.org> 0.58-2mdv2010.1
+ Revision: 491616
- Build against new libdb

* Sun Jun 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.58-1mdv2010.0
+ Revision: 387832
- Update to new version 0.58
- Build against libdb4.7

* Thu Mar 19 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.57-2mdv2009.1
+ Revision: 358022
- rebuild for syncing i586 and x86_64

* Fri Oct 10 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.57-1mdv2009.1
+ Revision: 291532
- update to new version 0.57

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-2mdv2009.0
+ Revision: 284742
- enable checks

* Sun Sep 14 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.56-1mdv2009.0
+ Revision: 284736
- update to new version 0.56
- fix url for source
- build with gnutls instead of openssl
- enable optimizations

* Fri Aug 08 2008 Thierry Vignaud <tv@mandriva.org> 0.54-3mdv2009.0
+ Revision: 267815
- rebuild early 2009.0 package (before pixel changes)

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.54-2mdv2009.0
+ Revision: 195479
- obsolete old library

* Thu Apr 17 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.54-1mdv2009.0
+ Revision: 195300
- new version
- drop patch 0, merged upstream
- better description
- enable support for IPv6

* Mon Feb 18 2008 Colin Leroy <colinl@mandriva.org> 0.53-1mdv2008.1
+ Revision: 170630
- Upgrade libetpan to 0.53:
        Fix ipv6 issues
        Fix some GMail issues
        Mingw32-buildable
  Add patch to fix a bug with APPEND on some servers (already in upstream CVS)

  + Thierry Vignaud <tv@mandriva.org>
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - fix no-buildroot-tag

* Sun Dec 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.52-2mdv2008.1
+ Revision: 139408
- spec file rewrite
- new devel library policy
- drop source 1, not needed though
- enable parallel build
- add missing build requires on libcurl-devel and libexpat-devel
- rebuild against db4.6

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 05 2007 Jérôme Soyer <saispo@mandriva.org> 0.52-1mdv2008.0
+ Revision: 79861
- New release 0.52


* Sun Mar 04 2007 Emmanuel Andry <eandry@mandriva.org> 0.49-3mdv2007.0
+ Revision: 131993
- build against db4.5

* Mon Jan 22 2007 Thierry Vignaud <tvignaud@mandriva.com> 0.49-2mdv2007.1
+ Revision: 111868
- fix major; prevent this error to happen again

* Thu Jan 18 2007 Jérôme Soyer <saispo@mandriva.org> 0.49-1mdv2007.1
+ Revision: 110088
- New release 0.49

* Wed Jan 03 2007 Jérôme Soyer <saispo@mandriva.org> 0.48-1mdv2007.1
+ Revision: 103587
- New release 0.48

* Fri Nov 10 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.46-2mdv2007.0
+ Revision: 80623
- Rebuild for missing package ( bugreport: #27088)
- import libetpan-0.46-1mdv2007.0

* Wed Jul 19 2006 Charles A Edwards <eslrahc@mandriva.org> 0.46-1mdv2007.0
- 0.46
- bump major (previously missed)

* Fri Jun 23 2006 Erwan Velu <erwan@seanodes.com> 0.39-2
- Rebuild

* Sat Apr 08 2006 Jerome Soyer <saispo@mandriva.org> 0.45-1mdk
- 0.45

* Wed Mar 22 2006 Lenny Cartier <lenny@mandriva.com> 0.44-1mdk
- 0.44

* Wed Jan 18 2006 Marcel Pol <mpol@mandriva.org> 0.42-2mdk
- parallel build broken on x86_64

* Sun Jan 15 2006 Marcel Pol <mpol@mandriva.org> 0.42-1mdk
- 0.42
- new soname

* Sat Dec 03 2005 Marcel Pol <mpol@mandriva.org> 0.40-0.cvs6.1mdk
- 0.40cvs6
- mkrel

* Wed Oct 12 2005 Erwan Velu <erwan@seanodes.com> 0.39-1mdk
- 0.39

* Sat Sep 03 2005 Marcel Pol <mpol@mandriva.org> 0.38-2mdk
- fix %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
 (-n libetpan)

* Fri Jul 22 2005 Lenny Cartier <lenny@mandriva.com> 0.38-1mdk
- 0.38

* Tue Jul 05 2005 Lenny Cartier <lenny@mandriva.com> 0.37-1mdk
- 0.37

* Wed Feb 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 0.36-1mdk
- 0.36

* Sat Nov 06 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.34-1mdk
- 0.34

* Thu Aug 26 2004 Charles A Edwards <eslrahc@mandrake.org> 0.33-1mdk
- 0.33

